Commit 07021038 authored by Leonardo Arena's avatar Leonardo Arena

main/spandsp: update source, modernize APKBUILD, update license

Upstream seems dead, no new releases since 2015
parent 1c5a675b
......@@ -3,43 +3,37 @@
pkgname=spandsp
pkgver=0.0.6
_ver=${pkgver/_/}
pkgrel=0
pkgrel=1
pkgdesc="SpanDSP is a library of DSP functions for telephony"
url="https://www.soft-switch.org/installing-spandsp.html"
arch="all"
license="GPL"
depends=
depends_dev="tiff-dev"
makedepends="$depends_dev"
install=
license="LGPL-2.1-only"
makedepends="tiff-dev"
subpackages="$pkgname-dev"
source="http://www.soft-switch.org/downloads/spandsp/$pkgname-$_ver.tar.gz"
_builddir="$srcdir"/$pkgname-0.0.6
source="http://deb.debian.org/debian/pool/main/s/spandsp/spandsp_$pkgver+dfsg.orig.tar.xz"
builddir="$srcdir"/$pkgname-$pkgver+dfsg
prepare() {
cd "$_builddir"
update_config_sub || return 1
cd "$builddir"
default_prepare
update_config_sub
}
build() {
cd "$_builddir"
cd "$builddir"
./configure \
--build=$CBUILD \
--host=$CHOST \
--prefix=/usr \
--sysconfdir=/etc \
--mandir=/usr/share/man \
--infodir=/usr/share/info \
|| return 1
make || return 1
--infodir=/usr/share/info
make
}
package() {
cd "$_builddir"
cd "$builddir"
make -j1 DESTDIR="$pkgdir" install
}
md5sums="897d839516a6d4edb20397d4757a7ca3 spandsp-0.0.6.tar.gz"
sha256sums="cc053ac67e8ac4bb992f258fd94f275a7872df959f6a87763965feabfdcc9465 spandsp-0.0.6.tar.gz"
sha512sums="16bb215ca89a39282e832403f69bc4c98ad3fe35ab3a6eb4731ee5029a6acd9b2df243c3701de845441cbdc16c88b3cd398ef15dc3502e45d5aeca8a161917d4 spandsp-0.0.6.tar.gz"
sha512sums="f64765f849b38a20f1793b4792361e51b9c37d58701f72c46652f1512a3d15616ec8b5ad5833d68b6b7a6290bb3ae948ec22248cc3ff767cb8875a02ae0be8ef spandsp_0.0.6+dfsg.orig.tar.xz"
Markdown is supported
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment